%global momorel 4
%global md5sum_src0 8af99b09f044c210382ad63b63ca9268
Name: kino
Version: 1.0.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/kino/%{name}-%{version}.tar.gz %{md5sum_src0}
URL:       http://www.kinodv.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libdv libavc1394 libiec61883 libsamplerate
Requires: gtk2 libgnomeui udev
BuildPreReq: libdv-devel >= 1.0.0-2m, libavc1394-devel >= 0.5.3-2m
BuildPreReq: libraw1394 >= 1.2.1-2m, libraw1394-devel >= 1.2.1-2m
BuildPreReq: SDL-devel >= 1.2.11-2m 
BuildPreReq: libiec61883-devel >= 1.1.0-2m
BuildPreReq: libsamplerate >= 0.1.2-3m
BuildPreReq: gtk2-devel >= 2.0 libgnomeui-devel libglade2-devel
BuildPreReq: libxml2-devel, imlib2-devel >= 1.2.2-3m, audiofile-devel, esound-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: libsamplerate-devel >= 0.1.2-3m
BuildPreReq: ffmpeg-devel
ExcludeArch: alpha alphaev5

Summary: non-linear DV editor for GNU/Linux

%description 
Kino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back to
the camera. It captures video to disk in AVI format in both type-1
DV and type-2 DV (separate audio stream) encodings.

%package devel
Summary: Development files for Kino
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
ino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back to
the camera. It captures video to disk in AVI format in both type-1
DV and type-2 DV (separate audio stream) encodings.

This package contains headers and libraries for development for Kino.

%prep
%setup -q

%build
%configure --disable-local-ffmpeg
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

pushd %{buildroot}%{_bindir}
rm -f kino2raw
ln -s kino kino2raw
popd

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog NEWS README* TODO
%{_sysconfdir}/udev/rules.d/kino.rules
%{_bindir}/kino
%{_bindir}/kino2raw
%{_libdir}/kino-gtk2/*.so
%{_datadir}/%{name}
%{_datadir}/pixmaps/kino.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/kino.xml
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/kino-gtk2/*.a

%changelog
* Thu Apr 05 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.0-4m)
- rebuild against x264 and ffmpeg

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-3m)
- add --disable-local-ffmpeg to configure (force using system ffmpeg)
- BuildPreReq: ffmpeg-devel
- Requires: udev
- clean up %%install section

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-2m)
- modify %%install to avoid conflicting with ffmpeg-0.4.9-0.20060517.6m
- use %%make (enable parallel build)
- remove obsoleted options from configure
- change Requires: from gtk+ to gtk2
- many options are disabled, why? (see OmoiKondara.log)

* Mon Mar 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.4-2m)
- delete libtool library

* Wed Dec 27 2006 Nishio Futosi <futoshi@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Tue Dec 05 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3

* Mon Jul 31 2006 Nishio Futoshi <futoshi@momonga-linuc.org>
- (0.7.6-3m)
- remove patch1 (kernel2681)

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-2m)
- add extern patch.

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Fri Mar 11 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.5-3m)
- rebuild against libraw1394 and libavc1394.

* Mon Feb 7 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.7.5-2m)
- add BuildPreReq: libsamplerate-devel

* Mon Nov 01 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.5-1m)
- update to 0.7.5

* Sat Oct  9 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.7.4-1m)
- update to 0.7.4

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.3-1m)
- update to 0.7.3 (rebuild against gcc-c++-3.4.1)
- add BuildPrereq: gcc-c++

* Mon Aug 30 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.1-2m)
- build against kernel-2.6.8

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.1-1m)
- update to 0.7.1
- rebuild against libdv-0.102

* Sat Dec 20 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.0-1m)
- version 0.7.0
- gtk2 port

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.4-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Feb 22 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.4-1m)
  update to 0.6.4

* Fri Jan 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-2m)
- update BuildPreReq: libdv-devel >= 0.98

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-1m)
- rebuild against for libavc1394 and libraw1394
- version up to 0.6-1
- comment out patch1
- comment out patch2
- comment out patch3
- add BuildPreReq: gcc-c++ >= 3.2-8m
  for avoid gcc bug when compile framedisplayer.cc

* Sun Nov 17 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.5-6m)
- add kino-0.5-nls.patch to work around the compilation error

* Fri Sep 27 2002 kourin <kourin@fh.freeserve.ne.jp>
- (0.5-5m)
- change Source0 uri.

* Mon Apr 15 2002 Toru Hoshina <t@kondara.org>
- (0.5-4k)
- make dekimase-nu (T_T)

* Thu Mar 21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.5-2k)
- write kondara spec file
- add patch for ieee1394
 
